//
//  XTHtmlTagQuestionMarkT2.m
//  TadsTerp
//
//  Created by Rune Berg on 19/04/14.
//  Copyright (c) 2014 Rune Berg. All rights reserved.
//

#import "XTHtmlTagQuestionMarkT2.h"
#import "XTOutputFormatterProtocol.h"


@implementation XTHtmlTagQuestionMarkT2

+ (NSString *)name
{
	return @"?t2";
}

+ (NSArray *)allowedAttributes
{
	return @[];
}

+ (BOOL)standalone
{
	return NO;
}

- (NSArray *)dispatchToFormatter:(NSObject<XTOutputFormatterProtocol> *)formatter
{
	return [formatter handleHtmlTagQuestionMarkT2:self];
}

	/* TODO handle:
	*   Write out the special <?T2> HTML sequence, in case we're on an HTML
	*   system.  This tells the HTML parser to use the parsing rules for
	*   TADS 2 callers.
	*/

@end
